{
  "name": "typescript-react-tailwind-vite",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "format": "prettier --write .",
    "test": "vitest run",
    "test:watch": "vitest"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@radix-ui/react-checkbox": "^1.3.2",
    "@radix-ui/react-context-menu": "^2.2.15",
    "@radix-ui/react-dialog": "^1.1.14",
    "@radix-ui/react-dropdown-menu": "^2.1.15",
    "@radix-ui/react-label": "^2.1.7",
    "@radix-ui/react-popover": "^1.1.14",
    "@radix-ui/react-radio-group": "^1.3.7",
    "@radix-ui/react-select": "^2.2.5",
    "@radix-ui/react-separator": "^1.1.7",
    "@radix-ui/react-slot": "^1.2.3",
    "@radix-ui/react-switch": "^1.2.5",
    "@radix-ui/react-tabs": "^1.1.12",
    "@radix-ui/react-toast": "^1.2.14",
    "@reduxjs/toolkit": "^1.9.5",
    "@tanstack/react-query": "^5.83.0",
    "@types/lodash.isequal": "^4.5.8",
    "@types/react-grid-layout": "^1.3.5",
    "@types/react-window": "^1.8.8",
    "@types/uuid": "^10.0.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "date-fns": "^4.1.0",
    "eslint-import-resolver-typescript": "^4.4.4",
    "eslint-plugin-import": "^2.32.0",
    "immer": "^10.1.1",
    "lodash.isequal": "^4.5.0",
    "lucide-react": "^0.525.0",
    "react": "^18.2.0",
    "react-animated-numbers": "^1.1.1",
    "react-day-picker": "^9.8.0",
    "react-dom": "^18.2.0",
    "react-grid-layout": "^1.5.2",
    "react-markdown": "^10.1.0",
    "react-rnd": "^10.5.2",
    "react-window": "^1.8.11",
    "redux": "^4.2.1",
    "rehype-raw": "^7.0.0",
    "rehype-sanitize": "^6.0.0",
    "remark-gfm": "^4.0.1",
    "tailwind-merge": "^3.3.1",
    "tailwindcss-animate": "^1.0.7",
    "use-debounce": "^10.0.5",
    "uuid": "^11.1.0"
  },
  "devDependencies": {
    "@types/node": "^24.0.15",
    "@types/react": "^18.0.37",
    "@types/react-beautiful-dnd": "^13.1.8",
    "@types/react-dom": "^18.0.11",
    "@typescript-eslint/eslint-plugin": "^5.59.0",
    "@typescript-eslint/parser": "^5.0.1",
    "@vitejs/plugin-react-swc": "^3.0.0",
    "autoprefixer": "^10.4.14",
    "daisyui": "^3.1.7",
    "eslint": "^8.7.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.3.4",
    "path": "^0.12.7",
    "postcss": "^8.4.24",
    "prettier": "^3.0.0",
    "prettier-eslint": "^16.1.2",
    "prettier-plugin-tailwindcss": "^0.5.0",
    "react-redux": "^8.1.1",
    "react-router-dom": "^6.14.1",
    "tailwindcss": "^3.3.2",
    "ts-prune": "^0.10.3",
    "typescript": "^4.4.4",
    "vite": "^4.3.9",
    "vitest": "^4.1.1"
  }
}